# Gimp.Choice

    const Gimp = imports.gi.Gimp;

    let choice = new Gimp.Choice();

## Hierarchy

- GObject.Object
  - Gimp.Choice

## Constructors

- Gimp.Choice.new

## Methods

- Gimp.Choice.prototype.add
- Gimp.Choice.prototype.get_documentation
- Gimp.Choice.prototype.get_help
- Gimp.Choice.prototype.get_id
- Gimp.Choice.prototype.get_label
- Gimp.Choice.prototype.is_valid
- Gimp.Choice.prototype.list_nicks
- Gimp.Choice.prototype.set_sensitive

## Signals

- sensitivity-changed